Split in quad

This commit is contained in:
Roberto Alsina 2022-11-15 15:24:45 -03:00
parent 19c8679df0
commit 9f295d921e
3 changed files with 63 additions and 42239 deletions

View File

@ -1,37 +0,0 @@
import cadquery2 as cq
from cadquery2 import exporters
# The hole for the "peg" where this goes
peg_front = 9.5
peg_side = 9
peg_height = 12
# General size of the handle
width = 20
length = 70
height = 16
# General shape of the handle seen from above
handle_shape_top = cq.Sketch().trapezoid(width, length, 85).vertices().fillet(3)
hole_shape = cq.Sketch().trapezoid(peg_front, peg_side, 90)
bottom_cutout = cq.Sketch().trapezoid(width, length - width, 90)
handle = (
cq.Workplane("XY")
.placeSketch(handle_shape_top)
.extrude(height)
.faces("<Z")
.workplane(centerOption="CenterOfBoundBox")
.center(0, length/2 - width/2)
.placeSketch(hole_shape)
.cutBlind(-peg_height)
.faces("<Z")
.workplane(centerOption="CenterOfBoundBox")
.center(0, -width/2)
.placeSketch(bottom_cutout)
.cutBlind(-height/2)
)
exporters.export(handle, "guardacosas.stl")

File diff suppressed because it is too large Load Diff

View File

@ -36,36 +36,67 @@ pillars = (
) )
model = ( def model():
cq.Workplane("XY") return (
.workplane(offset=thickness / 2) cq.Workplane("XY")
.tag("mid_height") .workplane(offset=thickness / 2)
# Hollow box .tag("mid_height")
.box(width, height, thickness) # Hollow box
.edges("|Z") .box(width, height, thickness)
.fillet(2) .edges("|Z")
.faces(">Z") .fillet(2)
.shell(-shell_t) .faces(">Z")
# Make the lower part solid to mount the kbd .shell(-shell_t)
# .faces("<Z") # Slanted mounting pillars on the kbd top
# .workplane(centerOption="CenterOfBoundBox", offset=-thickness / 2) .faces(">Z")
# .center(0, height * 0.5 - 20) .workplane(centerOption="CenterOfBoundBox")
# .box(width, 40, thickness) .center(-width / 2, 17)
# # Mounting pillars on the kbd top .transformed(rotate=cq.Vector(kbd_angle, 0, 0))
.faces(">Z") .tag("sloped")
.workplane(centerOption="CenterOfBoundBox") .placeSketch(pillars)
.center(-width/2, 17) .extrude(-1000)
.transformed(rotate=cq.Vector(kbd_angle, 0, 0)) # Remove the excess extrusion
.tag("sloped") .workplaneFromTagged("mid_height")
.placeSketch(pillars) .transformed(offset=cq.Vector(0, 0, -thickness / 2))
.extrude(-1000) .split(keepTop=True)
# Remove the excess extrusion # Slope for the beyboard
.workplaneFromTagged("mid_height") .workplaneFromTagged("sloped")
.transformed(offset=cq.Vector(0, 0, -thickness / 2)) .split(keepBottom=True)
.split(keepTop=True) )
# Slope for the beyboard
.workplaneFromTagged("sloped") top_right = (
.split(keepBottom=True) model()
) .faces(">Y")
.workplane(offset = -120).split(keepTop=True)
.faces(">X")
.workplane(offset=-135).split(keepTop=True)
)
exporters.export(top_right, "top_right.stl")
top_left = (
model()
.faces(">Y")
.workplane(offset = -120).split(keepTop=True)
.faces(">X")
.workplane(offset=-135).split(keepBottom=True)
)
exporters.export(top_left, "top_left.stl")
bottom_right = (
model()
.faces(">Y")
.workplane(offset = -120).split(keepBottom=True)
.faces(">X")
.workplane(offset=-165).split(keepTop=True)
)
exporters.export(bottom_right, "bottom_right.stl")
bottom_left = (
model()
.faces(">Y")
.workplane(offset = -120).split(keepBottom=True)
.faces(">X")
.workplane(offset=-165).split(keepBottom=True)
)
exporters.export(bottom_left, "bottom_left.stl")
exporters.export(model, "model.stl")